Skip to main content
POST
/
api
/
contact
/
{contactId}
/
activities
Actualizar Actividades del Contacto
curl --request POST \
  --url https://api.plazbot.com/api/contact/{contactId}/activities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-workspace-id: <x-workspace-id>' \
  --data '
{
  "workspaceId": "<string>",
  "content": "<string>",
  "date": "2023-11-07T05:31:56Z",
  "categoryType": "<string>"
}
'
import requests

url = "https://api.plazbot.com/api/contact/{contactId}/activities"

payload = {
"workspaceId": "<string>",
"content": "<string>",
"date": "2023-11-07T05:31:56Z",
"categoryType": "<string>"
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
workspaceId: '<string>',
content: '<string>',
date: '2023-11-07T05:31:56Z',
categoryType: '<string>'
})
};

fetch('https://api.plazbot.com/api/contact/{contactId}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "code": 123,
  "errorCode": "<string>",
  "message": "<string>",
  "data": {}
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}

Authorizations

Authorization
string
header
required

Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login

Headers

x-workspace-id
string
required

Identificador del workspace

Path Parameters

contactId
string
required

ID del contacto

Body

application/json
workspaceId
string
required

Identificador del workspace

content
string
required

Descripcion de la actividad o comentario

date
string<date-time>

Fecha de la actividad

categoryType
string

Tipo de categoria: Calls, Meeting, Whatsapp, Email

Response

Actividad registrada exitosamente

success
boolean
required

Indica si la operacion fue exitosa

code
integer
required

Codigo HTTP de la respuesta

errorCode
string | null
required

Codigo de error, null si no hay error

message
string
required

Mensaje descriptivo del resultado

data
object | null
required

Datos de la respuesta